Subject: [Simple] xcap-diff document

From: [email-masked]
Date: Mon, 5 Sep 2005 11:19:24 +0200

Hi all,

I am solving now the problem with communication using xcap-diff format specified in xcap-package-03. What is the issue:

1. The server carries XML document.
2. A client requests to be notified about changes in this document with xcap-diff.
3. The document is replaced with new content begining from the root
4. The server tries to notify the client with message of the format 

HEADERS
<?xml version="1.0" encoding="UTF-8"?>
<xcap-diff xmlns="urn:ietf:params:xml:ns:xcap-diff" xcap-root="http://localhost/xcap/xcap/">

  <document doc-selector="resource-lists/users/sip:[email-masked]/doc"
            new-etag="aaaaa"
            previous-etag="bbbbb">

  <replace-element element="/">
    <![CDATA[<?xml version="1.0" encoding="UTF-8"?>

      <resource-lists xmlns="urn:ietf:params:xml:ns:resource-lists"

                      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

        <list name="list_name">

          ...

        </list>    

      </resource-lists>]]>
  </replace-element>

</document>

</xcap-diff>

The question is whether the value "/" of attribute "element" is correct?

Another problem is that I don't know what message should be sent in case of deletion of the document. In that case I am sending reference document with equal new-etag and prevoius-etag to let client refetch the document. Is this behaviour correct?

Best regards,

 Martin Hynar

Senior Developer

TietoEnator
Czech Software Centre

Direct +420 599 096 022
E-mail [email-masked]

Technologicka 372/2
CZ-708 00 Ostrava

www.tietoenator.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple